import React, { Component } from 'react';
import PropTypes from 'prop-types';

export default class LineGraph extends Component {
  static propTypes = {
    name: PropTypes.string,
    graph: PropTypes.object.isRequired
  };

  static defaultProps = {
    name: 'line-graph'
  };

  componentDidMount() {
    $(`.sparkline.${this.props.name}`).sparkline(this.props.graph.values, {
      type: 'line',
      width: '100%',
      height: '50',
      lineColor: '#1ab394',
      fillColor: 'transparent'
    });
  }

  render() {
    return (
      <div>
        <small>{ this.props.graph.name }</small>
        <h2 className="no-margins">{ this.props.graph.value }</h2>
        <div className={`sparkline ${this.props.name}`} />
      </div>
    );
  }
}
