import React, { Component } from 'react';
import PropTypes from 'prop-types';

export default class Summernote extends Component {
  static propTypes = {
    name: PropTypes.string,
    defaultValue: PropTypes.string
  };

  static defaultProps = {
    name: 'summernote-namespace',
    defaultValue: ''
  };

  componentDidMount() {
    $(`.summernote.${this.props.name}`).summernote({
      minHeight: 300,
      toolbar: [
        ['style', ['bold', 'italic', 'underline', 'strikethrough', 'clear']],
        ['fontsize', ['fontsize', 'height']],
        ['color', ['color']],
        ['para', ['ul', 'ol', 'paragraph']],
        ['misc', ['undo', 'redo']]
      ]
    });

    $(`.summernote.${this.props.name}`).summernote('code', this.props.defaultValue);

    $('.note-editable').css('font-size','11px');
  }

  getCode = () => {
    return $(`.summernote.${this.props.name}`).summernote('code');
  };

  setCode = (code) => {
    $(`.summernote.${this.props.name}`).summernote('code', code);
  };

  render() {
    return (
      <div className={`summernote ${this.props.name}`} />
    );
  }
}
